package com.zhyc.module.produce.bodyManage.mapper;

import java.util.List;
import com.zhyc.module.produce.bodyManage.domain.ScBodyScore;
import org.apache.ibatis.annotations.Param;

/**
 * 体况评分Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-27
 */
public interface ScBodyScoreMapper 
{
    /**
     * 查询体况评分
     * 
     * @param id 体况评分主键
     * @return 体况评分
     */
    public ScBodyScore selectScBodyScoreById(Long id);

    /**
     * 查询体况评分列表
     * 
     * @param scBodyScore 体况评分
     * @return 体况评分集合
     */
    public List<ScBodyScore> selectScBodyScoreList(ScBodyScore scBodyScore);

    /**
     * 新增体况评分
     * 
     * @param scBodyScore 体况评分
     * @return 结果
     */
    public int insertScBodyScore(ScBodyScore scBodyScore);

    /**
     * 修改体况评分
     * 
     * @param scBodyScore 体况评分
     * @return 结果
     */
    public int updateScBodyScore(ScBodyScore scBodyScore);

    /**
     * 删除体况评分
     * 
     * @param id 体况评分主键
     * @return 结果
     */
    public int deleteScBodyScoreById(Long id);

    /**
     * 批量删除体况评分
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScBodyScoreByIds(Long[] ids);
    /**
     * 模糊搜索耳号
     */
    List<String> searchEarNumbers(@Param("query") String query);

    /* 列表查询支持多耳号模糊 */
    List<ScBodyScore> selectScBodyScoreList(
            @Param("sc") ScBodyScore sc,
            @Param("manageTagsList") List<String> manageTagsList);
}
